#! /bin/bash

# remove the preference pane
sudo rm -rf "/Library/PreferencePanes/MP26 Audio Control Panel.prefPane"

# this cleans the system preferences cache
rm "$HOME/Library/Caches/com.apple.preferencepanes.cache"
rm "$HOME/Library/Caches/com.apple.preferencepanes.searchindexcache"

# remove the kernel extension
sudo rm -rf "/System/Library/Extensions/MP26.kext"
sudo rm -rf "/System/Library/Extensions/MP26.10.6.kext"
sudo rm -rf "/Library/Extensions/MP26.10.9.kext"

# turn off the settings service
sudo launchctl unload /Library/LaunchDaemons/com.rane.mp26.daemon.plist
sudo rm /Library/LaunchDaemons/com.rane.mp26.daemon.plist
sudo rm /Library/PrivilegedHelperTools/MP26SettingsService

# remove the api
sudo rm -rf /Library/Frameworks/MP26Api.framework

# remove the midi driver
sudo rm -rf "/Library/Audio/MIDI Drivers/MP26MidiDriver.plugin"

# remove prefs file
sudo rm -f /var/root/Library/Preferences/MP26SettingsService.plist

#sudo reboot


